## Package cascading.flow.planner

Interface Summary
DeclaresResults

Class Summary
BaseFlowStep<Config>: Class FlowStep is an internal representation of a given Job to be executed on a remote cluster.
ElementGraph: Class ElementGraph represents the executable FlowElement graph.
ElementGraph.Extent
ElementGraphs
FlowPlanner<F extends Flow,Config>: Class FlowPlanner is the base class for all planner implementations.
FlowStepGraph<Config>: Class StepGraph is an internal representation of `FlowStep` instances.
FlowStepJob<Config>
PlatformInfo
Scope: Class Scope is an internal representation of the linkages between operations.

Enum Summary
Scope.Kind: Enum Kind

Exception Summary
ElementGraphException: Class ElementGraphException is thrown during rendering of a pipe assembly to the Cascading internal "graph" representation.
PlannerException: Class PlannerException is thrown when a job planner fails.

Copyright © 2007-2014 Concurrent, Inc. All Rights Reserved.